cordova.define("cordova-plugin-ad-adPlay.adPlay", function(require, exports, module) { module.exports = {

    _available:false,
    //

    init: function(applicationId, developerId) {
        var self = this;
        cordova.exec(
            function (result)
            {
                console.log('setUp succeeded.'+result);

                if (typeof result == "string")
                {
                    //
                    if (result == "onVideoComplete")
                    {

                            self._available = false ;
                        if (self.onVideoComplete)
                            self.onVideoComplete();
                    }
                    if (result == "onInstallationComplete")
                    {
                            self._available = false ;
                        if (self.onInstallationComplete)
                            self.onInstallationComplete();
                    }
                    if (result == "onAdAvailable")
                    {
                            self._available = true ;
                        if (self.onAdAvailable)
                            self.onAdAvailable();
                    }
                    if (result == "onAdFail")
                    {
                            self._available = false ;
                        if (self.onAdFail)
                            self.onAdFail();
                    }
                    if (result == "available")
                    {
                        self._available = true ;

                    }
                    if (result == "notAvailable")
                    {
                        self._available = false ;

                    }
                    if (result.indexOf("onConsumablePurchased")>-1)
                    {
                        var arr = result.split(',');

                            self.onConsumablePurchased(arr[1]);
                    }
                    if (result.indexOf("onNonConsumablePurchased")>-1)
                    {

                        var arr = result.split(',');
                            self.onNonConsumablePurchased(arr[1]);
                    }
                    if (result.indexOf("onPurchaseFail")>-1)
                    {
                        var arr = result.split(',');
                            self.onPurchaseFail(arr[1]);
                    }


                }
                else
                {
                    //if (result["event"] == "onXXX") {
                    //	//result["message"]
                    //	if (self.onXXX)
                    //		self.onXXX(result);
                    //}
                }
            },
            function (error)
            {
                console.log('setUp failed.');
            },
            'adPlayCordovaInterface',
            'init',
            [applicationId, developerId]
        );
    },
    setAutoDialogueDisplayOff: function() {
        cordova.exec(
            null,
            null,
            'adPlayCordovaInterface',
            'setAutoDialogueDisplay',
            [false]
        );
    },
    setAutoDialogueDisplayOn: function() {
        cordova.exec(
            null,
            null,
            'adPlayCordovaInterface',
            'setAutoDialogueDisplay',
            [true]
        );
    },
    setAutoDownlaodContentsOn: function() {
        cordova.exec(
            null,
            null,
            'adPlayCordovaInterface',
            'setAutoDownlaodContents',
            [true]
        );
    },
    setAutoDownlaodContentsOff: function() {
        cordova.exec(
            null,
            null,
            'adPlayCordovaInterface',
            'setAutoDownlaodContents',
            [false]
        );
    },
    showAdIfAvailableWithoutDialogue: function() {
        cordova.exec(
            null,
            null,
            'adPlayCordovaInterface',
            'showAdIfAvailable',
            [false]
        );
    },
    showAdIfAvailableWithDialogue: function() {
        cordova.exec(
            null,
            null,
            'adPlayCordovaInterface',
            'showAdIfAvailable',
            [true]
        );
    },
    setTestModeOn: function() {
        cordova.exec(
            null,
            null,
            'adPlayCordovaInterface',
            'setTestMode',
            [true]
        );
    },
    setTestModeOff: function() {
        cordova.exec(
            null,
            null,
            'adPlayCordovaInterface',
            'setTestMode',
            [false]
        );
    },
    checkAdAvailibility: function() {
        cordova.exec(
            null,
            null,
            'adPlayCordovaInterface',
            'checkAdAvailibility',
            []
        );
        return this._available;
    },
    initIAB: function(RSAKey,consumables,nonConsumables)
    {
        cordova.exec(
            null,
            null,
            'adPlayCordovaInterface',
            'initIAB',
            [RSAKey,consumables,nonConsumables]
        );
    },
    startIAB: function(element,payLoad)
    {
        cordova.exec(
            null,
            null,
            'adPlayCordovaInterface',
            'startIAB',
            [element,payLoad]
        );
    }
};
});
